Issue #12409 has been updated by Yui NARUSE.

Backport set to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED

Don't change Backport field.

----------------------------------------
Bug #12409: -fexcess-precision=standard is making it hard to compile my gem
https://bugs.ruby-lang.org/issues/12409#change-58829

* Author: Sam Saffron
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: 2.4.0
* Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED
----------------------------------------
I can no longer easily compile my C++ gem due to the -fexcess-precision=standard change 

https://github.com/discourse/mini_racer

compiles fine under 2.3, fails under 2.4 with:

```
cc1plus: sorry, unimplemented: -fexcess-precision=standard for C++
```



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>